TON CenterV3Vesting
applications/api/toncenter/v3/vesting/get-vesting-contracts
Query Parameters
contract_address?array<string>
Vesting contract address in any form. Max: 1000.
wallet_address?array<string>
Wallet address to filter by owner or sender. Max: 1000.
check_whitelist?boolean
Check if wallet address is in whitelist.
Default
falselimit?integer
Limit number of queried rows. Use with offset to batch read.
Default
10Format
int32Range
1 <= value <= 1000offset?integer
Skip first N rows. Use with limit to batch read.
Default
0Format
int32Range
0 <= valueResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v3/vesting"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"vesting_contracts": [
null
]
}{
"code": 0,
"error": "string"
}Last updated on